﻿using CarShop.Data;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace CarShop.Repository
{
    public interface IRepository<T> where T : class
    {
        T GetOne(int id);
        IQueryable<T> GetAll();
        void Insert(T entity);
        bool Remove(int id);
    }
    public interface ICarRepository : IRepository<Car>
    {
        bool ChangeCar(int id, Brand brand, string modelName, int price);
    }
    public interface IBrandRepository : IRepository<Brand> { }
}
